#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http3
version:              0.0.0
visibility:           public
id:                   http3-0.0.0-9xUiF25TrQv4kMQgTcshZl
key:                  http3-0.0.0-9xUiF25TrQv4kMQgTcshZl
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
homepage:             https://github.com/kazu-yamamoto/http3
synopsis:             HTTP/3 library
description:          HTTP/3 library including frames, QPACK, client and server.
category:             Network
abi:                  82eddd022ddfa5c0f41bc821ed9a6046
exposed:              True
exposed-modules:
    Network.HQ.Client Network.HQ.Server Network.HTTP3.Client
    Network.HTTP3.Internal Network.HTTP3.Server Network.QPACK
    Network.QPACK.Internal

hidden-modules:
    Imports Network.HTTP3.Config Network.HTTP3.Context
    Network.HTTP3.Control Network.HTTP3.Error Network.HTTP3.Frame
    Network.HTTP3.Recv Network.HTTP3.Send Network.HTTP3.Settings
    Network.HTTP3.Stream Network.QPACK.Error Network.QPACK.HeaderBlock
    Network.QPACK.HeaderBlock.Decode Network.QPACK.HeaderBlock.Encode
    Network.QPACK.HeaderBlock.Prefix Network.QPACK.Instruction
    Network.QPACK.Table Network.QPACK.Table.Dynamic
    Network.QPACK.Table.RevIndex Network.QPACK.Table.Static
    Network.QPACK.Token Network.QPACK.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/http3-0.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/http3-0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http3
hs-libraries:         HShttp3-0.0.0-9xUiF25TrQv4kMQgTcshZl
depends:
    array-0.5.4.0 base-4.15.1.0 bytestring-0.10.12.1
    case-insensitive-1.2.1.0-G4kgJFtuNP5ARaby10fUk containers-0.6.4.1
    http-types-0.12.3-Llvk7L15ADrHHwahvWBt9z
    http2-3.0.2-Jt9YmU6GQlfCZXhKC3fFwY
    network-3.1.2.7-3MnWjnNhABh27tP7sbt8Ba
    network-byte-order-0.1.6-HABwsZSK3HA1ml5SwnJCp2
    quic-0.0.1-A6vvzLRRcsx9t0JlDqcRYh
    sockaddr-0.0.1-3IUQGfUcHxq1yO7pc7igbz stm-2.5.0.0
    time-manager-0.0.0-4xf9Mw4t1TaD67zjMlh1PE
    unliftio-0.2.22.0-CzJLWwfRBgPIKyoSgfOQSW

haddock-interfaces:   /usr/share/doc/haskell-http3/html/http3.haddock
haddock-html:         /usr/share/doc/haskell-http3/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

